Bug 24250 - SIP2 returns debarred comment twice in patron screen message AF field
Summary: SIP2 returns debarred comment twice in patron screen message AF field
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-17 02:30 UTC by Nick Clemens
Modified: 2020-04-19 23:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24250: Do not duplicate debarred comment in patron screen message AF field (1.39 KB, patch)
2019-12-17 10:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24250: Do not duplicate debarred comment in patron screen message AF field (1.42 KB, patch)
2020-03-09 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24250: Do not duplicate debarred comment in patron screen message AF field (1.49 KB, patch)
2020-03-20 11:10 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-12-17 02:30:47 UTC
To recreate:
1 - Setup SIP in your testing environment
    https://wiki.koha-community.org/wiki/Koha_SIP2_server_setup
2 - Set a patron to have a restriction
3 - Send a patron status request or patron information command via the SIP cli emulator (see link above)
4 - Note the comment on the restriction is sent twice
Comment 1 Jonathan Druart 2019-12-17 10:33:05 UTC
Created attachment 96360 [details] [review]
Bug 24250: Do not duplicate debarred comment in patron screen message AF field

Caused by
  commit bddfed75913a2302c19c00b00a6fe86538af6f9f
  Bug 19933: Remove patronflags - tricky ones

Test plan:
1 - Setup SIP in your testing environment
    https://wiki.koha-community.org/wiki/Koha_SIP2_server_setup
2 - Set a patron to have a restriction
3 - Send a patron status request or patron information command via
    the SIP cli emulator (see link above)
4 - Note the comment on the restriction is sent only once
Comment 2 Martin Renvoize 2020-03-09 10:25:22 UTC
Created attachment 100334 [details] [review]
Bug 24250: Do not duplicate debarred comment in patron screen message AF field

Caused by
  commit bddfed75913a2302c19c00b00a6fe86538af6f9f
  Bug 19933: Remove patronflags - tricky ones

Test plan:
1 - Setup SIP in your testing environment
    https://wiki.koha-community.org/wiki/Koha_SIP2_server_setup
2 - Set a patron to have a restriction
3 - Send a patron status request or patron information command via
    the SIP cli emulator (see link above)
4 - Note the comment on the restriction is sent only once

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-03-09 10:25:41 UTC
Works as described.. Signing off
Comment 4 Kyle M Hall 2020-03-20 11:10:39 UTC
Created attachment 101074 [details] [review]
Bug 24250: Do not duplicate debarred comment in patron screen message AF field

Caused by
  commit bddfed75913a2302c19c00b00a6fe86538af6f9f
  Bug 19933: Remove patronflags - tricky ones

Test plan:
1 - Setup SIP in your testing environment
    https://wiki.koha-community.org/wiki/Koha_SIP2_server_setup
2 - Set a patron to have a restriction
3 - Send a patron status request or patron information command via
    the SIP cli emulator (see link above)
4 - Note the comment on the restriction is sent only once

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Martin Renvoize 2020-03-20 15:43:34 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 21:03:52 UTC
backported to 19.11.x for 19.11.05
Comment 7 Lucas Gass 2020-04-13 19:23:31 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-19 23:56:59 UTC
Minor/normal will not be backported to 18.11.x series